Blog do TaQ

Instalando o Ruby 1.9 no Ubuntu

Publicado em Developer

Ok, a gente já sabe que o Ubuntu já tem pacotes para Ruby 1.9, mas já viu, às vezes a gente precisa da última versão da linguagem e ela não está ainda disponível no repositório blá blá blá whatever, e queremos instalar a danada a partir dos fontes.

Em um post anterior eu havia detalhado como instalar a linguagem, levando em conta uma instalação no Slackware, onde era gerado um pacote para a distro. Aqui é praticamente a mesma coisa, mas ao invés de gerar um pacote, vou instalar em um diretório específico, que pode ser removido facilmente depois. É praticamente um merge do post do Dave Thomas com o meu anterior e vai me servir como "cola" para instalações novas.

  1. Antes de mais nada, download da última versão da série 1.9.
  2. Descompactar o arquivo e ir para o diretório que foi criado.
  3. Rodar o configure dessa maneira (trocando /home/taq/apps/ruby/ para o diretório onde você quer instalar):
    ./configure --prefix=/home/taq/apps/ruby/ --program-suffix=1.9 .
    Isso vai instalar essa versão no diretório especificado e colocar um 1.9 no final de cada executável.
  4. Como de costume, agora é make e make install.
  5. No final a versão está disponível no diretório especificado e agora é só incluir o path do diretório bin na sua variável de ambiente PATH (provavelmente você vai querer fazer isso dentro do seu .bashrc):
    export PATH=$PATH:/home/taq/apps/ruby/bin
  6. Pronto, temos ruby1.9, irb1.9, etc e tal.

Talvez alguma coisa precise de mais algum ajuste, mas isso deve prover uma instalação funcional da série 1.9 para darmos uma boa fuçada.


Tags:


Comentários

comments powered by Disqus

Twitter